/*
 *  grafo - graph editor
 *  Copyright (c) 2003
 *      Murilo Vicente Goncalves da Silva <murilo@pet.inf.ufpr.br>
 *      Oliver Matias van Kaick <oliver@pet.inf.ufpr.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details (file COPYING).
 */ 


/* *********** */
/* * color.c * */
/* *********** */


#include "color.h"


Color_def color_def[] = {
    {   0, 0xff, 0x00, 0x00, "red" },
    {   1, 0x00, 0xff, 0x00, "green" },
    {   2, 0x00, 0x00, 0xff, "blue" },
    {   3, 0xff, 0xff, 0x00, "yellow" },
    {   4, 0x00, 0xff, 0xff, "cyan" },
    {   5, 0xee, 0x82, 0xee, "violet" },
    {   6, 0x00, 0x00, 0x00, "black" },
    {   7, 0xa5, 0x2a, 0x2a, "brown" },
    {   8, 0xc0, 0xc0, 0xc0, "gray" },
    {   9, 0x99, 0x32, 0xcc, "darkorchid" },
    {  10, 0x68, 0x22, 0x8b, "darkorchid4" },
    {  11, 0x4b, 0x00, 0x82, "indigo" },
    {  12, 0xf0, 0xe6, 0x8c, "khaki" },
    {  13, 0xad, 0xd8, 0xe6, "lightblue" },
    {  14, 0xff, 0xa5, 0x00, "orange" },
    {  15, 0xff, 0xff, 0xff, "white" },
    {  16, 0x00, 0x64, 0x00, "darkgreen" },
    {  17, 0x00, 0x00, 0x80, "navy" },
    {  18, 0xee, 0x63, 0x63, "indianred2" },
    {  19, 0x00, 0xbf, 0xff, "deepskyblue1" },
    {  20, 0x8b, 0x47, 0x89, "orchid4" },
    {  21, 0xfa, 0xf0, 0xe6, "linen" },
    {  22, 0xff, 0xeb, 0xcd, "blanchedalmond" },
    {  23, 0x12, 0x12, 0x12, "gray7" },
    {  24, 0xee, 0xd5, 0xd2, "mistyrose2" },
    {  25, 0xf2, 0xf2, 0xf2, "gray95" },
    {  26, 0x9c, 0x9c, 0x9c, "grey61" },
    {  27, 0x57, 0x57, 0x57, "gray34" },
    {  28, 0x00, 0xff, 0x7f, "springgreen" },
    {  29, 0xad, 0xad, 0xad, "gray68" },
    {  30, 0xff, 0x34, 0xb3, "maroon1" },
    {  31, 0xdd, 0xa0, 0xdd, "plum" },
    {  32, 0x3b, 0x3b, 0x3b, "grey23" },
    {  33, 0xff, 0xd3, 0x9b, "burlywood1" },
    {  34, 0x91, 0x2c, 0xee, "purple2" },
    {  35, 0x7f, 0xff, 0xd4, "aquamarine1" },
    {  36, 0x00, 0xc5, 0xcd, "turquoise3" },
    {  37, 0xe5, 0xe5, 0xe5, "grey90" },
    {  38, 0x8b, 0x86, 0x4e, "khaki4" },
    {  39, 0x17, 0x17, 0x17, "grey9" },
    {  40, 0x8b, 0x47, 0x5d, "palevioletred4" },
    {  41, 0x8b, 0x3e, 0x2f, "coral4" },
    {  42, 0x2b, 0x2b, 0x2b, "gray17" },
    {  43, 0x69, 0x8b, 0x69, "darkseagreen4" },
    {  44, 0x55, 0x1a, 0x8b, "purple4" },
    {  45, 0xa8, 0xa8, 0xa8, "grey66" },
    {  46, 0xff, 0xf0, 0xf5, "lavenderblush1" },
    {  47, 0x69, 0x8b, 0x22, "olivedrab4" },
    {  48, 0xf0, 0xff, 0xff, "azure1" },
    {  49, 0xe3, 0xe3, 0xe3, "gray89" },
    {  50, 0x7c, 0xcd, 0x7c, "palegreen3" },
    {  51, 0x30, 0x30, 0x30, "grey19" },
    {  52, 0x00, 0x00, 0xcd, "blue3" },
    {  53, 0xc9, 0xc9, 0xc9, "grey79" },
    {  54, 0xee, 0x76, 0x00, "darkorange2" },
    {  55, 0x2e, 0x8b, 0x57, "seagreen4" },
    {  56, 0xff, 0x7f, 0x00, "darkorange1" },
    {  57, 0xee, 0x6a, 0xa7, "hotpink2" },
    {  58, 0x1a, 0x1a, 0x1a, "gray10" },
    {  59, 0x00, 0x86, 0x8b, "turquoise4" },
    {  60, 0x43, 0xcd, 0x80, "seagreen3" },
    {  61, 0xee, 0xc5, 0x91, "burlywood2" },
    {  62, 0xf5, 0xde, 0xb3, "wheat" },
    {  63, 0x8b, 0x00, 0x00, "red4" },
    {  64, 0xf5, 0xff, 0xfa, "mintcream" },
    {  65, 0x8b, 0x79, 0x5e, "navajowhite4" },
    {  66, 0x8b, 0x83, 0x78, "antiquewhite4" },
    {  67, 0x8b, 0x36, 0x26, "tomato4" },
    {  68, 0xff, 0xfa, 0xfa, "snow" },
    {  69, 0xcf, 0xcf, 0xcf, "grey81" },
    {  70, 0xd9, 0xd9, 0xd9, "gray85" },
    {  71, 0xee, 0x5c, 0x42, "tomato2" },
    {  72, 0xff, 0xd7, 0x00, "gold" },
    {  73, 0xf5, 0xf5, 0xf5, "gray96" },
    {  74, 0xee, 0xee, 0xd1, "lightyellow2" },
    {  75, 0xf5, 0xf5, 0xf5, "whitesmoke" },
    {  76, 0x7b, 0x68, 0xee, "mediumslateblue" },
    {  77, 0x48, 0x76, 0xff, "royalblue1" },
    {  78, 0x6c, 0x7b, 0x8b, "slategray4" },
    {  79, 0xee, 0xe0, 0xe5, "lavenderblush2" },
    {  80, 0xff, 0xe7, 0xba, "wheat1" },
    {  81, 0xab, 0xab, 0xab, "gray67" },
    {  82, 0xff, 0xef, 0xd5, "papayawhip" },
    {  83, 0x83, 0x8b, 0x83, "honeydew4" },
    {  84, 0xff, 0xb9, 0x0f, "darkgoldenrod1" },
    {  85, 0xff, 0xe4, 0xc4, "bisque1" },
    {  86, 0x68, 0x83, 0x8b, "lightblue4" },
    {  87, 0x6b, 0x6b, 0x6b, "grey42" },
    {  88, 0xc1, 0xcd, 0xc1, "honeydew3" },
    {  89, 0xe5, 0xe5, 0xe5, "gray90" },
    {  90, 0x8b, 0x5a, 0x2b, "tan4" },
    {  91, 0x73, 0x73, 0x73, "gray45" },
    {  92, 0x4a, 0x4a, 0x4a, "gray29" },
    {  93, 0xcd, 0x60, 0x90, "hotpink3" },
    {  94, 0x29, 0x29, 0x29, "gray16" },
    {  95, 0xd3, 0xd3, 0xd3, "lightgrey" },
    {  96, 0x66, 0xcd, 0xaa, "aquamarine3" },
    {  97, 0x7c, 0xfc, 0x00, "lawngreen" },
    {  98, 0xff, 0xa5, 0x4f, "tan1" },
    {  99, 0x8b, 0x69, 0x14, "goldenrod4" },
    { 100, 0xa3, 0xa3, 0xa3, "gray64" },
    { 101, 0xe0, 0xff, 0xff, "lightcyan1" },
    { 102, 0xcd, 0x55, 0x55, "indianred3" },
    { 103, 0x8b, 0x88, 0x78, "cornsilk4" },
    { 104, 0xff, 0x00, 0xff, "magenta1" },
    { 105, 0xff, 0x83, 0xfa, "orchid1" },
    { 106, 0xed, 0xed, 0xed, "gray93" },
    { 107, 0xee, 0xdc, 0x82, "lightgoldenrod2" },
    { 108, 0x8a, 0x2b, 0xe2, "blueviolet" },
    { 109, 0x8b, 0x25, 0x00, "orangered4" },
    { 110, 0x47, 0x3c, 0x8b, "slateblue4" },
    { 111, 0xff, 0xfa, 0xcd, "lemonchiffon" },
    { 112, 0x1f, 0x1f, 0x1f, "gray12" },
    { 113, 0xff, 0x00, 0xff, "magenta" },
    { 114, 0xee, 0x82, 0x62, "salmon2" },
    { 115, 0x00, 0xff, 0xff, "cyan1" },
    { 116, 0x00, 0x00, 0x8b, "blue4" },
    { 117, 0x8b, 0x77, 0x65, "peachpuff4" },
    { 118, 0xc0, 0xff, 0x3e, "olivedrab1" },
    { 119, 0xda, 0x70, 0xd6, "orchid" },
    { 120, 0x45, 0x45, 0x45, "grey27" },
    { 121, 0x8a, 0x8a, 0x8a, "gray54" },
    { 122, 0x2b, 0x2b, 0x2b, "grey17" },
    { 123, 0x9e, 0x9e, 0x9e, "gray62" },
    { 124, 0x91, 0x91, 0x91, "gray57" },
    { 125, 0xcc, 0xcc, 0xcc, "gray80" },
    { 126, 0x87, 0xce, 0xeb, "skyblue" },
    { 127, 0x8b, 0x81, 0x4c, "lightgoldenrod4" },
    { 128, 0x99, 0x99, 0x99, "gray60" },
    { 129, 0x78, 0x78, 0x78, "grey47" },
    { 130, 0xee, 0x76, 0x21, "chocolate2" },
    { 131, 0x03, 0x03, 0x03, "gray1" },
    { 132, 0xff, 0xda, 0xb9, "peachpuff" },
    { 133, 0xb3, 0xb3, 0xb3, "gray70" },
    { 134, 0xee, 0xb4, 0xb4, "rosybrown2" },
    { 135, 0xff, 0xde, 0xad, "navajowhite1" },
    { 136, 0x24, 0x24, 0x24, "gray14" },
    { 137, 0x61, 0x61, 0x61, "grey38" },
    { 138, 0xa6, 0xa6, 0xa6, "gray65" },
    { 139, 0xd4, 0xd4, 0xd4, "gray83" },
    { 140, 0xd6, 0xd6, 0xd6, "gray84" },
    { 141, 0x1c, 0x1c, 0x1c, "grey11" },
    { 142, 0x6a, 0x5a, 0xcd, "slateblue" },
    { 143, 0xd6, 0xd6, 0xd6, "grey84" },
    { 144, 0x8b, 0x45, 0x13, "saddlebrown" },
    { 145, 0xff, 0xf5, 0xee, "seashell1" },
    { 146, 0x8b, 0x0a, 0x50, "deeppink4" },
    { 147, 0xf5, 0xf5, 0xf5, "grey96" },
    { 148, 0x08, 0x08, 0x08, "grey3" },
    { 149, 0x8e, 0xe5, 0xee, "cadetblue2" },
    { 150, 0x2f, 0x4f, 0x4f, "darkslategrey" },
    { 151, 0x64, 0x95, 0xed, "cornflowerblue" },
    { 152, 0xff, 0xfa, 0xcd, "lemonchiffon1" },
    { 153, 0x5e, 0x5e, 0x5e, "grey37" },
    { 154, 0x1f, 0x1f, 0x1f, "grey12" },
    { 155, 0x2e, 0x2e, 0x2e, "grey18" },
    { 156, 0x4f, 0x4f, 0x4f, "grey31" },
    { 157, 0x30, 0x30, 0x30, "gray19" },
    { 158, 0xb3, 0xb3, 0xb3, "grey70" },
    { 159, 0xcd, 0x91, 0x9e, "pink3" },
    { 160, 0x36, 0x36, 0x36, "gray21" },
    { 161, 0x00, 0x00, 0x80, "navyblue" },
    { 162, 0xff, 0x14, 0x93, "deeppink" },
    { 163, 0xcd, 0xba, 0x96, "wheat3" },
    { 164, 0xff, 0xfa, 0xfa, "snow1" },
    { 165, 0x00, 0xee, 0xee, "cyan2" },
    { 166, 0x96, 0xcd, 0xcd, "paleturquoise3" },
    { 167, 0xcd, 0x5c, 0x5c, "indianred" },
    { 168, 0x40, 0xe0, 0xd0, "turquoise" },
    { 169, 0x6e, 0x7b, 0x8b, "lightsteelblue4" },
    { 170, 0xff, 0xa0, 0x7a, "lightsalmon" },
    { 171, 0x8b, 0x3a, 0x62, "hotpink4" },
    { 172, 0x40, 0x40, 0x40, "grey25" },
    { 173, 0x19, 0x19, 0x70, "midnightblue" },
    { 174, 0xcd, 0x70, 0x54, "salmon3" },
    { 175, 0x52, 0x52, 0x52, "grey32" },
    { 176, 0xa0, 0x52, 0x2d, "sienna" },
    { 177, 0x53, 0x86, 0x8b, "cadetblue4" },
    { 178, 0x89, 0x68, 0xcd, "mediumpurple3" },
    { 179, 0xa2, 0xb5, 0xcd, "lightsteelblue3" },
    { 180, 0x8b, 0x00, 0x8b, "magenta4" },
    { 181, 0xcd, 0x68, 0x89, "palevioletred3" },
    { 182, 0x87, 0xce, 0xff, "skyblue1" },
    { 183, 0x5c, 0x5c, 0x5c, "gray36" },
    { 184, 0xff, 0xc0, 0xcb, "pink" },
    { 185, 0x14, 0x14, 0x14, "grey8" },
    { 186, 0x73, 0x73, 0x73, "grey45" },
    { 187, 0xcd, 0xc9, 0xa5, "lemonchiffon3" },
    { 188, 0x4a, 0x4a, 0x4a, "grey29" },
    { 189, 0xee, 0xdd, 0x82, "lightgoldenrod" },
    { 190, 0x3d, 0x3d, 0x3d, "grey24" },
    { 191, 0x70, 0x80, 0x90, "slategray" },
    { 192, 0xe8, 0xe8, 0xe8, "grey91" },
    { 193, 0x18, 0x74, 0xcd, "dodgerblue3" },
    { 194, 0x8b, 0x63, 0x6c, "pink4" },
    { 195, 0xb2, 0xdf, 0xee, "lightblue2" },
    { 196, 0xde, 0xb8, 0x87, "burlywood" },
    { 197, 0x8b, 0x89, 0x70, "lemonchiffon4" },
    { 198, 0x63, 0x63, 0x63, "gray39" },
    { 199, 0xde, 0xde, 0xde, "gray87" },
    { 200, 0xa3, 0xa3, 0xa3, "grey64" },
    { 201, 0xba, 0x55, 0xd3, "mediumorchid" },
    { 202, 0x42, 0x42, 0x42, "grey26" },
    { 203, 0x9b, 0xcd, 0x9b, "darkseagreen3" },
    { 204, 0x17, 0x17, 0x17, "gray9" },
    { 205, 0xcd, 0x32, 0x78, "violetred3" },
    { 206, 0xee, 0x7a, 0xe9, "orchid2" },
    { 207, 0x7a, 0x37, 0x8b, "mediumorchid4" },
    { 208, 0x0f, 0x0f, 0x0f, "grey6" },
    { 209, 0xee, 0xd2, 0xee, "thistle2" },
    { 210, 0xb3, 0xee, 0x3a, "olivedrab2" },
    { 211, 0xcd, 0x95, 0x0c, "darkgoldenrod3" },
    { 212, 0x66, 0xcd, 0x00, "chartreuse3" },
    { 213, 0x03, 0x03, 0x03, "grey1" },
    { 214, 0xff, 0xc1, 0xc1, "rosybrown1" },
    { 215, 0x52, 0x8b, 0x8b, "darkslategray4" },
    { 216, 0xee, 0xee, 0xe0, "ivory2" },
    { 217, 0xcd, 0xc9, 0xc9, "snow3" },
    { 218, 0xff, 0x45, 0x00, "orangered" },
    { 219, 0xdb, 0xdb, 0xdb, "grey86" },
    { 220, 0x8b, 0x65, 0x08, "darkgoldenrod4" },
    { 221, 0xee, 0xdf, 0xcc, "antiquewhite2" },
    { 222, 0x8b, 0x47, 0x26, "sienna4" },
    { 223, 0x8b, 0x4c, 0x39, "salmon4" },
    { 224, 0xe0, 0x66, 0xff, "mediumorchid1" },
    { 225, 0x8b, 0x5f, 0x65, "lightpink4" },
    { 226, 0x0a, 0x0a, 0x0a, "gray4" },
    { 227, 0x00, 0xbf, 0xff, "deepskyblue" },
    { 228, 0x00, 0x9a, 0xcd, "deepskyblue3" },
    { 229, 0xc7, 0xc7, 0xc7, "gray78" },
    { 230, 0x05, 0x05, 0x05, "gray2" },
    { 231, 0x42, 0x42, 0x42, "gray26" },
    { 232, 0x33, 0x33, 0x33, "grey20" },
    { 233, 0xcd, 0xc8, 0xb1, "cornsilk3" },
    { 234, 0xb4, 0xee, 0xb4, "darkseagreen2" },
    { 235, 0x22, 0x8b, 0x22, "forestgreen" },
    { 236, 0x83, 0x8b, 0x8b, "azure4" },
    { 237, 0x3a, 0x5f, 0xcd, "royalblue3" },
    { 238, 0xca, 0xff, 0x70, "darkolivegreen1" },
    { 239, 0xff, 0xfa, 0xf0, "floralwhite" },
    { 240, 0xd1, 0xee, 0xee, "lightcyan2" },
    { 241, 0x8b, 0x8b, 0x00, "yellow4" },
    { 242, 0xcd, 0xc0, 0xb0, "antiquewhite3" },
    { 243, 0xff, 0x7f, 0x50, "coral" },
    { 244, 0xdb, 0xdb, 0xdb, "gray86" },
    { 245, 0x97, 0xff, 0xff, "darkslategray1" },
    { 246, 0xff, 0x3e, 0x96, "violetred1" },
    { 247, 0xfc, 0xfc, 0xfc, "gray99" },
    { 248, 0xb0, 0xe0, 0xe6, "powderblue" },
    { 249, 0x66, 0x66, 0x66, "gray40" },
    { 250, 0xff, 0xe4, 0xe1, "mistyrose" },
    { 251, 0x0d, 0x0d, 0x0d, "grey5" },
    { 252, 0x9a, 0xcd, 0x32, "olivedrab3" },
    { 253, 0x00, 0xe5, 0xee, "turquoise2" },
    { 254, 0xff, 0x63, 0x47, "tomato" },
    { 255, 0x94, 0x00, 0xd3, "darkviolet" },
    { 256, 0x00, 0xf5, 0xff, "turquoise1" },
    { 257, 0x7d, 0x7d, 0x7d, "grey49" },
    { 258, 0xcd, 0x26, 0x26, "firebrick3" },
    { 259, 0xfc, 0xfc, 0xfc, "grey99" },
    { 260, 0x00, 0xee, 0x76, "springgreen2" },
    { 261, 0xff, 0x30, 0x30, "firebrick1" },
    { 262, 0x69, 0x59, 0xcd, "slateblue3" },
    { 263, 0x8b, 0x73, 0x55, "burlywood4" },
    { 264, 0xc2, 0xc2, 0xc2, "gray76" },
    { 265, 0x5c, 0x5c, 0x5c, "grey36" },
    { 266, 0x2e, 0x2e, 0x2e, "gray18" },
    { 267, 0x8d, 0xee, 0xee, "darkslategray2" },
    { 268, 0x7a, 0xc5, 0xcd, "cadetblue3" },
    { 269, 0x91, 0x91, 0x91, "grey57" },
    { 270, 0x4a, 0x70, 0x8b, "skyblue4" },
    { 271, 0x8b, 0x8b, 0x83, "ivory4" },
    { 272, 0xcd, 0x96, 0xcd, "plum3" },
    { 273, 0xee, 0x6a, 0x50, "coral2" },
    { 274, 0xee, 0x00, 0x00, "red2" },
    { 275, 0xb8, 0x86, 0x0b, "darkgoldenrod" },
    { 276, 0x7a, 0x7a, 0x7a, "gray48" },
    { 277, 0x00, 0x68, 0x8b, "deepskyblue4" },
    { 278, 0x8f, 0x8f, 0x8f, "gray56" },
    { 279, 0xf0, 0xff, 0xf0, "honeydew1" },
    { 280, 0xf0, 0x80, 0x80, "lightcoral" },
    { 281, 0x99, 0x99, 0x99, "grey60" },
    { 282, 0xf0, 0xf0, 0xf0, "gray94" },
    { 283, 0xf8, 0xf8, 0xff, "ghostwhite" },
    { 284, 0xbd, 0xbd, 0xbd, "grey74" },
    { 285, 0xff, 0xe4, 0xe1, "mistyrose1" },
    { 286, 0x7e, 0xc0, 0xee, "skyblue2" },
    { 287, 0x8d, 0xb6, 0xcd, "lightskyblue3" },
    { 288, 0xeb, 0xeb, 0xeb, "grey92" },
    { 289, 0xbc, 0xd2, 0xee, "lightsteelblue2" },
    { 290, 0xa1, 0xa1, 0xa1, "gray63" },
    { 291, 0x3b, 0x3b, 0x3b, "gray23" },
    { 292, 0xff, 0x8c, 0x69, "salmon1" },
    { 293, 0x4d, 0x4d, 0x4d, "grey30" },
    { 294, 0x6c, 0xa6, 0xcd, "skyblue3" },
    { 295, 0xff, 0x72, 0x56, "coral1" },
    { 296, 0x7f, 0x7f, 0x7f, "gray50" },
    { 297, 0x87, 0xce, 0xfa, "lightskyblue" },
    { 298, 0xd1, 0x5f, 0xee, "mediumorchid2" },
    { 299, 0xee, 0x79, 0x42, "sienna2" },
    { 300, 0xdc, 0x14, 0x3c, "crimson" },
    { 301, 0xb0, 0xc4, 0xde, "lightsteelblue" },
    { 302, 0x77, 0x88, 0x99, "lightslategray" },
    { 303, 0x00, 0x00, 0xcd, "mediumblue" },
    { 304, 0x0a, 0x0a, 0x0a, "grey4" },
    { 305, 0x66, 0x66, 0x66, "grey40" },
    { 306, 0x1c, 0x1c, 0x1c, "gray11" },
    { 307, 0xe0, 0xee, 0xe0, "honeydew2" },
    { 308, 0x69, 0x69, 0x69, "gray41" },
    { 309, 0x69, 0x69, 0x69, "grey41" },
    { 310, 0xee, 0xd5, 0xb7, "bisque2" },
    { 311, 0x38, 0x38, 0x38, "grey22" },
    { 312, 0x5f, 0x9e, 0xa0, "cadetblue" },
    { 313, 0x1a, 0x1a, 0x1a, "grey10" },
    { 314, 0xff, 0xa0, 0x7a, "lightsalmon1" },
    { 315, 0xff, 0xf8, 0xdc, "cornsilk" },
    { 316, 0xe0, 0xff, 0xff, "lightcyan" },
    { 317, 0x7f, 0xff, 0x00, "chartreuse1" },
    { 318, 0x94, 0x94, 0x94, "gray58" },
    { 319, 0xe8, 0xe8, 0xe8, "gray91" },
    { 320, 0xff, 0xef, 0xdb, "antiquewhite1" },
    { 321, 0x2f, 0x4f, 0x4f, "darkslategray" },
    { 322, 0xcd, 0x85, 0x3f, "peru" },
    { 323, 0x82, 0x82, 0x82, "grey51" },
    { 324, 0x00, 0x8b, 0x00, "green4" },
    { 325, 0x00, 0xcd, 0xcd, "cyan3" },
    { 326, 0x70, 0x70, 0x70, "gray44" },
    { 327, 0x7a, 0x7a, 0x7a, "grey48" },
    { 328, 0xb2, 0x22, 0x22, "firebrick" },
    { 329, 0x00, 0xff, 0x00, "green1" },
    { 330, 0xcf, 0xcf, 0xcf, "gray81" },
    { 331, 0xee, 0x79, 0x9f, "palevioletred2" },
    { 332, 0x7d, 0x7d, 0x7d, "gray49" },
    { 333, 0xdb, 0x70, 0x93, "palevioletred" },
    { 334, 0x1e, 0x90, 0xff, "dodgerblue1" },
    { 335, 0x8b, 0x1c, 0x62, "maroon4" },
    { 336, 0x54, 0x54, 0x54, "grey33" },
    { 337, 0xee, 0xa2, 0xad, "lightpink2" },
    { 338, 0x6e, 0x6e, 0x6e, "gray43" },
    { 339, 0xab, 0x82, 0xff, "mediumpurple1" },
    { 340, 0xbc, 0x8f, 0x8f, "rosybrown" },
    { 341, 0xc4, 0xc4, 0xc4, "grey77" },
    { 342, 0x21, 0x21, 0x21, "gray13" },
    { 343, 0x66, 0xcd, 0xaa, "mediumaquamarine" },
    { 344, 0x10, 0x4e, 0x8b, "dodgerblue4" },
    { 345, 0x45, 0x45, 0x45, "gray27" },
    { 346, 0x00, 0xcd, 0x00, "green3" },
    { 347, 0x9e, 0x9e, 0x9e, "grey62" },
    { 348, 0x00, 0xb2, 0xee, "deepskyblue2" },
    { 349, 0x61, 0x61, 0x61, "gray38" },
    { 350, 0xc7, 0x15, 0x85, "mediumvioletred" },
    { 351, 0x9f, 0x79, 0xee, "mediumpurple2" },
    { 352, 0xc9, 0xc9, 0xc9, "gray79" },
    { 353, 0xc0, 0xc0, 0xc0, "grey" },
    { 354, 0xcd, 0x33, 0x33, "brown3" },
    { 355, 0x54, 0xff, 0x9f, "seagreen1" },
    { 356, 0xba, 0xba, 0xba, "grey73" },
    { 357, 0x00, 0x8b, 0x45, "springgreen4" },
    { 358, 0x77, 0x88, 0x99, "lightslategrey" },
    { 359, 0x27, 0x40, 0x8b, "royalblue4" },
    { 360, 0x70, 0x80, 0x90, "slategrey" },
    { 361, 0x0f, 0x0f, 0x0f, "gray6" },
    { 362, 0x8a, 0x8a, 0x8a, "grey54" },
    { 363, 0xf5, 0xf5, 0xdc, "beige" },
    { 364, 0xff, 0x69, 0xb4, "hotpink" },
    { 365, 0xb8, 0xb8, 0xb8, "gray72" },
    { 366, 0xcd, 0x10, 0x76, "deeppink3" },
    { 367, 0xd1, 0xd1, 0xd1, "grey82" },
    { 368, 0x8b, 0x66, 0x8b, "plum4" },
    { 369, 0xed, 0xed, 0xed, "grey93" },
    { 370, 0xff, 0xff, 0xff, "gray100" },
    { 371, 0xee, 0x30, 0xa7, "maroon2" },
    { 372, 0xcd, 0x85, 0x00, "orange3" },
    { 373, 0xf0, 0xff, 0xf0, "honeydew" },
    { 374, 0xb0, 0x30, 0x60, "maroon" },
    { 375, 0x24, 0x24, 0x24, "grey14" },
    { 376, 0xcd, 0x66, 0x00, "darkorange3" },
    { 377, 0xee, 0xee, 0x00, "yellow2" },
    { 378, 0xc2, 0xc2, 0xc2, "grey76" },
    { 379, 0x8b, 0x86, 0x82, "seashell4" },
    { 380, 0xff, 0xff, 0xfe, "transparent" },
    { 381, 0xcd, 0x81, 0x62, "lightsalmon3" },
    { 382, 0xee, 0xb4, 0x22, "goldenrod2" },
    { 383, 0x05, 0x05, 0x05, "grey2" },
    { 384, 0xf0, 0xff, 0xff, "azure" },
    { 385, 0xff, 0xff, 0x00, "yellow1" },
    { 386, 0xe3, 0xe3, 0xe3, "grey89" },
    { 387, 0x75, 0x75, 0x75, "gray46" },
    { 388, 0x9a, 0x32, 0xcd, "darkorchid3" },
    { 389, 0x7d, 0x26, 0xcd, "purple3" },
    { 390, 0xff, 0xf0, 0xf5, "lavenderblush" },
    { 391, 0x63, 0xb8, 0xff, "steelblue1" },
    { 392, 0x82, 0x82, 0x82, "gray51" },
    { 393, 0x8b, 0x23, 0x23, "brown4" },
    { 394, 0x8b, 0x57, 0x42, "lightsalmon4" },
    { 395, 0x93, 0x70, 0xdb, "mediumpurple" },
    { 396, 0xee, 0xe6, 0x85, "khaki2" },
    { 397, 0xff, 0xc1, 0x25, "goldenrod1" },
    { 398, 0xc1, 0xff, 0xc1, "darkseagreen1" },
    { 399, 0xe0, 0xee, 0xee, "azure2" },
    { 400, 0x69, 0x69, 0x69, "dimgray" },
    { 401, 0xcd, 0xb7, 0x9e, "bisque3" },
    { 402, 0x8b, 0x75, 0x00, "gold4" },
    { 403, 0xcd, 0xcd, 0x00, "yellow3" },
    { 404, 0xca, 0xe1, 0xff, "lightsteelblue1" },
    { 405, 0xcd, 0x29, 0x90, "maroon3" },
    { 406, 0x9a, 0xc0, 0xcd, "lightblue3" },
    { 407, 0x7a, 0x8b, 0x8b, "lightcyan4" },
    { 408, 0x29, 0x29, 0x29, "grey16" },
    { 409, 0xff, 0xae, 0xb9, "lightpink1" },
    { 410, 0x78, 0x78, 0x78, "gray47" },
    { 411, 0x63, 0x63, 0x63, "grey39" },
    { 412, 0xa6, 0xa6, 0xa6, "grey65" },
    { 413, 0x66, 0x8b, 0x8b, "paleturquoise4" },
    { 414, 0x84, 0x70, 0xff, "lightslateblue" },
    { 415, 0xcc, 0xcc, 0xcc, "grey80" },
    { 416, 0x76, 0xee, 0xc6, "aquamarine2" },
    { 417, 0xe0, 0xe0, 0xe0, "grey88" },
    { 418, 0x48, 0xd1, 0xcc, "mediumturquoise" },
    { 419, 0x8b, 0x7e, 0x66, "wheat4" },
    { 420, 0x40, 0x40, 0x40, "gray25" },
    { 421, 0x1c, 0x86, 0xee, "dodgerblue2" },
    { 422, 0x8b, 0x45, 0x13, "chocolate4" },
    { 423, 0xee, 0xae, 0xee, "plum2" },
    { 424, 0xff, 0xf6, 0x8f, "khaki1" },
    { 425, 0xb4, 0xcd, 0xcd, "lightcyan3" },
    { 426, 0x8f, 0xbc, 0x8f, "darkseagreen" },
    { 427, 0xcd, 0xc6, 0x73, "khaki3" },
    { 428, 0x00, 0x00, 0x00, "grey0" },
    { 429, 0xee, 0x3a, 0x8c, "violetred2" },
    { 430, 0xff, 0x7f, 0x24, "chocolate1" },
    { 431, 0xc7, 0xc7, 0xc7, "grey78" },
    { 432, 0x47, 0x47, 0x47, "grey28" },
    { 433, 0xee, 0xe9, 0xbf, "lemonchiffon2" },
    { 434, 0x8c, 0x8c, 0x8c, "gray55" },
    { 435, 0xbc, 0xee, 0x68, "darkolivegreen2" },
    { 436, 0xff, 0xff, 0xf0, "ivory" },
    { 437, 0x38, 0x38, 0x38, "gray22" },
    { 438, 0xb9, 0xd3, 0xee, "slategray2" },
    { 439, 0xee, 0xe9, 0xe9, "snow2" },
    { 440, 0x7f, 0x7f, 0x7f, "grey50" },
    { 441, 0xff, 0xf8, 0xdc, "cornsilk1" },
    { 442, 0xff, 0xff, 0xe0, "lightyellow1" },
    { 443, 0x7f, 0xff, 0x00, "chartreuse" },
    { 444, 0xe6, 0xe6, 0xfa, "lavender" },
    { 445, 0xcd, 0x85, 0x3f, "tan3" },
    { 446, 0xff, 0xec, 0x8b, "lightgoldenrod1" },
    { 447, 0xff, 0x40, 0x40, "brown1" },
    { 448, 0xee, 0x9a, 0x49, "tan2" },
    { 449, 0x00, 0xce, 0xd1, "darkturquoise" },
    { 450, 0x70, 0x70, 0x70, "grey44" },
    { 451, 0xee, 0x9a, 0x00, "orange2" },
    { 452, 0x3c, 0xb3, 0x71, "mediumseagreen" },
    { 453, 0xff, 0xd7, 0x00, "gold1" },
    { 454, 0x85, 0x85, 0x85, "gray52" },
    { 455, 0x8b, 0x7b, 0x8b, "thistle4" },
    { 456, 0xaf, 0xee, 0xee, "paleturquoise" },
    { 457, 0x55, 0x6b, 0x2f, "darkolivegreen" },
    { 458, 0x33, 0x33, 0x33, "gray20" },
    { 459, 0xb0, 0xb0, 0xb0, "gray69" },
    { 460, 0x9b, 0x30, 0xff, "purple1" },
    { 461, 0xcd, 0x68, 0x39, "sienna3" },
    { 462, 0x76, 0xee, 0x00, "chartreuse2" },
    { 463, 0x36, 0x36, 0x36, "grey21" },
    { 464, 0x96, 0x96, 0x96, "gray59" },
    { 465, 0xb5, 0xb5, 0xb5, "grey71" },
    { 466, 0x43, 0x6e, 0xee, "royalblue2" },
    { 467, 0x1e, 0x90, 0xff, "dodgerblue" },
    { 468, 0x8b, 0x69, 0x69, "rosybrown4" },
    { 469, 0x8b, 0x3a, 0x3a, "indianred4" },
    { 470, 0x57, 0x57, 0x57, "grey34" },
    { 471, 0x6b, 0x6b, 0x6b, "gray42" },
    { 472, 0x54, 0x54, 0x54, "gray33" },
    { 473, 0xff, 0xff, 0xe0, "lightyellow" },
    { 474, 0xcd, 0x5b, 0x45, "coral3" },
    { 475, 0x75, 0x75, 0x75, "grey46" },
    { 476, 0xf0, 0xf0, 0xf0, "grey94" },
    { 477, 0xbf, 0xef, 0xff, "lightblue1" },
    { 478, 0x8b, 0x22, 0x52, "violetred4" },
    { 479, 0x08, 0x08, 0x08, "gray3" },
    { 480, 0x45, 0x8b, 0x74, "aquamarine4" },
    { 481, 0x41, 0x69, 0xe1, "royalblue" },
    { 482, 0xee, 0x40, 0x00, "orangered2" },
    { 483, 0xdc, 0xdc, 0xdc, "gainsboro" },
    { 484, 0xb4, 0x52, 0xcd, "mediumorchid3" },
    { 485, 0x4f, 0x94, 0xcd, "steelblue3" },
    { 486, 0xee, 0xad, 0x0e, "darkgoldenrod2" },
    { 487, 0xcd, 0xbe, 0x70, "lightgoldenrod3" },
    { 488, 0xfd, 0xf5, 0xe6, "oldlace" },
    { 489, 0xcd, 0x00, 0x00, "red3" },
    { 490, 0x14, 0x14, 0x14, "gray8" },
    { 491, 0xb5, 0xb5, 0xb5, "gray71" },
    { 492, 0xba, 0xba, 0xba, "gray73" },
    { 493, 0x8b, 0x45, 0x00, "darkorange4" },
    { 494, 0x0d, 0x0d, 0x0d, "gray5" },
    { 495, 0x83, 0x6f, 0xff, "slateblue1" },
    { 496, 0xb8, 0xb8, 0xb8, "grey72" },
    { 497, 0xcd, 0xb3, 0x8b, "navajowhite3" },
    { 498, 0xa1, 0xa1, 0xa1, "grey63" },
    { 499, 0xff, 0x82, 0xab, "palevioletred1" },
    { 500, 0x52, 0x52, 0x52, "gray32" },
    { 501, 0x3d, 0x3d, 0x3d, "gray24" },
    { 502, 0xcd, 0xcd, 0xb4, "lightyellow3" },
    { 503, 0xd3, 0xd3, 0xd3, "lightgray" },
    { 504, 0x7f, 0xff, 0xd4, "aquamarine" },
    { 505, 0xee, 0x12, 0x89, "deeppink2" },
    { 506, 0x59, 0x59, 0x59, "grey35" },
    { 507, 0xff, 0x14, 0x93, "deeppink1" },
    { 508, 0x8b, 0x7d, 0x6b, "bisque4" },
    { 509, 0xb2, 0x3a, 0xee, "darkorchid2" },
    { 510, 0x6b, 0x8e, 0x23, "olivedrab" },
    { 511, 0x4d, 0x4d, 0x4d, "gray30" },
    { 512, 0x00, 0xff, 0x7f, "springgreen1" },
    { 513, 0xa2, 0xcd, 0x5a, "darkolivegreen3" },
    { 514, 0xe0, 0xe0, 0xe0, "gray88" },
    { 515, 0xb0, 0xe2, 0xff, "lightskyblue1" },
    { 516, 0xf7, 0xf7, 0xf7, "gray97" },
    { 517, 0xee, 0xc9, 0x00, "gold2" },
    { 518, 0x20, 0xb2, 0xaa, "lightseagreen" },
    { 519, 0xc6, 0xe2, 0xff, "slategray1" },
    { 520, 0x87, 0x87, 0x87, "gray53" },
    { 521, 0x6e, 0x6e, 0x6e, "grey43" },
    { 522, 0xff, 0x63, 0x47, "tomato1" },
    { 523, 0x6e, 0x8b, 0x3d, "darkolivegreen4" },
    { 524, 0x2e, 0x8b, 0x57, "seagreen" },
    { 525, 0x00, 0x00, 0xff, "blue1" },
    { 526, 0x8f, 0x8f, 0x8f, "grey56" },
    { 527, 0xee, 0x00, 0xee, "magenta2" },
    { 528, 0x9a, 0xcd, 0x32, "yellowgreen" },
    { 529, 0x8b, 0x8b, 0x7a, "lightyellow4" },
    { 530, 0x26, 0x26, 0x26, "gray15" },
    { 531, 0x87, 0x87, 0x87, "grey53" },
    { 532, 0xb0, 0xb0, 0xb0, "grey69" },
    { 533, 0x00, 0x8b, 0x8b, "cyan4" },
    { 534, 0x5e, 0x5e, 0x5e, "gray37" },
    { 535, 0xd8, 0xbf, 0xd8, "thistle" },
    { 536, 0xa4, 0xd3, 0xee, "lightskyblue2" },
    { 537, 0xd1, 0xd1, 0xd1, "gray82" },
    { 538, 0xee, 0xe5, 0xde, "seashell2" },
    { 539, 0xcd, 0xaa, 0x7d, "burlywood3" },
    { 540, 0xcd, 0x9b, 0x9b, "rosybrown3" },
    { 541, 0xeb, 0xeb, 0xeb, "gray92" },
    { 542, 0x79, 0xcd, 0xcd, "darkslategray3" },
    { 543, 0xc4, 0xc4, 0xc4, "gray77" },
    { 544, 0xcd, 0xaf, 0x95, "peachpuff3" },
    { 545, 0xcd, 0x9b, 0x1d, "goldenrod3" },
    { 546, 0xee, 0xe8, 0xcd, "cornsilk2" },
    { 547, 0xff, 0x45, 0x00, "orangered1" },
    { 548, 0x94, 0x94, 0x94, "grey58" },
    { 549, 0xff, 0xff, 0xf0, "ivory1" },
    { 550, 0xcd, 0x8c, 0x95, "lightpink3" },
    { 551, 0xfa, 0xfa, 0xd2, "lightgoldenrodyellow" },
    { 552, 0xe9, 0x96, 0x7a, "darksalmon" },
    { 553, 0xff, 0xb5, 0xc5, "pink1" },
    { 554, 0x00, 0x00, 0x00, "gray0" },
    { 555, 0x00, 0xee, 0x00, "green2" },
    { 556, 0xfa, 0x80, 0x72, "salmon" },
    { 557, 0x26, 0x26, 0x26, "grey15" },
    { 558, 0xff, 0xf5, 0xee, "seashell" },
    { 559, 0xf4, 0xa4, 0x60, "sandybrown" },
    { 560, 0x69, 0x69, 0x69, "dimgrey" },
    { 561, 0xad, 0xad, 0xad, "grey68" },
    { 562, 0xf7, 0xf7, 0xf7, "grey97" },
    { 563, 0xff, 0xbb, 0xff, "plum1" },
    { 564, 0xcd, 0xc5, 0xbf, "seashell3" },
    { 565, 0xff, 0x82, 0x47, "sienna1" },
    { 566, 0xa8, 0xa8, 0xa8, "gray66" },
    { 567, 0x36, 0x64, 0x8b, "steelblue4" },
    { 568, 0xff, 0x6a, 0x6a, "indianred1" },
    { 569, 0xbf, 0x3e, 0xff, "darkorchid1" },
    { 570, 0x85, 0x85, 0x85, "grey52" },
    { 571, 0xee, 0xd8, 0xae, "wheat2" },
    { 572, 0xff, 0x8c, 0x00, "darkorange" },
    { 573, 0x32, 0xcd, 0x32, "limegreen" },
    { 574, 0x45, 0x8b, 0x00, "chartreuse4" },
    { 575, 0x9c, 0x9c, 0x9c, "gray61" },
    { 576, 0x12, 0x12, 0x12, "grey7" },
    { 577, 0xff, 0xe4, 0xc4, "bisque" },
    { 578, 0xbb, 0xff, 0xff, "paleturquoise1" },
    { 579, 0x59, 0x59, 0x59, "gray35" },
    { 580, 0xf0, 0xf8, 0xff, "aliceblue" },
    { 581, 0xbf, 0xbf, 0xbf, "grey75" },
    { 582, 0x21, 0x21, 0x21, "grey13" },
    { 583, 0x8b, 0x83, 0x86, "lavenderblush4" },
    { 584, 0x47, 0x47, 0x47, "gray28" },
    { 585, 0xd2, 0xb4, 0x8c, "tan" },
    { 586, 0xd4, 0xd4, 0xd4, "grey83" },
    { 587, 0xff, 0xb6, 0xc1, "lightpink" },
    { 588, 0xbd, 0xbd, 0xbd, "gray74" },
    { 589, 0x9a, 0xff, 0x9a, "palegreen1" },
    { 590, 0x96, 0x96, 0x96, "grey59" },
    { 591, 0xee, 0xcf, 0xa1, "navajowhite2" },
    { 592, 0xc1, 0xcd, 0xcd, "azure3" },
    { 593, 0xcd, 0xb7, 0xb5, "mistyrose3" },
    { 594, 0xab, 0xab, 0xab, "grey67" },
    { 595, 0x8b, 0x89, 0x89, "snow4" },
    { 596, 0x60, 0x7b, 0x8b, "lightskyblue4" },
    { 597, 0x8b, 0x1a, 0x1a, "firebrick4" },
    { 598, 0xee, 0xa9, 0xb8, "pink2" },
    { 599, 0xcd, 0x69, 0xc9, "orchid3" },
    { 600, 0xcd, 0x66, 0x1d, "chocolate3" },
    { 601, 0xff, 0xe1, 0xff, "thistle1" },
    { 602, 0x98, 0xf5, 0xff, "cadetblue1" },
    { 603, 0xfa, 0xeb, 0xd7, "antiquewhite" },
    { 604, 0xf2, 0xf2, 0xf2, "grey95" },
    { 605, 0xbd, 0xb7, 0x6b, "darkkhaki" },
    { 606, 0xcd, 0xad, 0x00, "gold3" },
    { 607, 0xee, 0xcb, 0xad, "peachpuff2" },
    { 608, 0xbf, 0xbf, 0xbf, "gray75" },
    { 609, 0x00, 0x00, 0xee, "blue2" },
    { 610, 0xee, 0x2c, 0x2c, "firebrick2" },
    { 611, 0x5d, 0x47, 0x8b, "mediumpurple4" },
    { 612, 0xad, 0xff, 0x2f, "greenyellow" },
    { 613, 0x90, 0xee, 0x90, "palegreen2" },
    { 614, 0xcd, 0x00, 0xcd, "magenta3" },
    { 615, 0x00, 0xfa, 0x9a, "mediumspringgreen" },
    { 616, 0x4f, 0x4f, 0x4f, "gray31" },
    { 617, 0xd0, 0x20, 0x90, "violetred" },
    { 618, 0xff, 0xa5, 0x00, "orange1" },
    { 619, 0x46, 0x82, 0xb4, "steelblue" },
    { 620, 0xff, 0xff, 0xff, "grey100" },
    { 621, 0xcd, 0xcd, 0xc1, "ivory3" },
    { 622, 0x5c, 0xac, 0xee, "steelblue2" },
    { 623, 0x98, 0xfb, 0x98, "palegreen" },
    { 624, 0xcd, 0x4f, 0x39, "tomato3" },
    { 625, 0x8b, 0x7d, 0x7b, "mistyrose4" },
    { 626, 0xcd, 0xc1, 0xc5, "lavenderblush3" },
    { 627, 0xcd, 0x37, 0x00, "orangered3" },
    { 628, 0x4e, 0xee, 0x94, "seagreen2" },
    { 629, 0xa0, 0x20, 0xf0, "purple" },
    { 630, 0xff, 0x6e, 0xb4, "hotpink1" },
    { 631, 0xff, 0xda, 0xb9, "peachpuff1" },
    { 632, 0x7a, 0x67, 0xee, "slateblue2" },
    { 633, 0xd9, 0xd9, 0xd9, "grey85" },
    { 634, 0xee, 0xe8, 0xaa, "palegoldenrod" },
    { 635, 0x00, 0xcd, 0x66, "springgreen3" },
    { 636, 0x48, 0x3d, 0x8b, "darkslateblue" },
    { 637, 0x8b, 0x5a, 0x00, "orange4" },
    { 638, 0x54, 0x8b, 0x54, "palegreen4" },
    { 639, 0x8c, 0x8c, 0x8c, "grey55" },
    { 640, 0xfa, 0xfa, 0xfa, "grey98" },
    { 641, 0xff, 0x00, 0x00, "red1" },
    { 642, 0xff, 0xe4, 0xb5, "moccasin" },
    { 643, 0xcd, 0xb5, 0xcd, "thistle3" },
    { 644, 0x9f, 0xb6, 0xcd, "slategray3" },
    { 645, 0xfa, 0xfa, 0xfa, "gray98" },
    { 646, 0xee, 0x3b, 0x3b, "brown2" },
    { 647, 0xd2, 0x69, 0x1e, "chocolate" },
    { 648, 0xff, 0xde, 0xad, "navajowhite" },
    { 649, 0xee, 0x95, 0x72, "lightsalmon2" },
    { 650, 0xae, 0xee, 0xee, "paleturquoise2" },
    { 651, 0xde, 0xde, 0xde, "grey87" },
    { 652, 0xda, 0xa5, 0x20, "goldenrod" },
};


/* ******* */
/* * End * */
/* ******* */
