/*
 *  grafo - graph editor
 *  Copyright (c) 2003
 *      Murilo Vicente Goncalves da Silva <murilo@pet.inf.ufpr.br>
 *      Oliver Matias van Kaick <oliver@pet.inf.ufpr.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details (file COPYING).
 */ 


/* *********** */
/* * color.h * */
/* *********** */

#ifndef __COLOR_H__
#define __COLOR_H__


#define RED                      0
#define GREEN                    1
#define BLUE                     2
#define YELLOW                   3
#define CYAN                     4
#define VIOLET                   5
#define BLACK                    6
#define BROWN                    7
#define GRAY                     8
#define DARKORCHID               9
#define DARKORCHID4             10
#define INDIGO                  11
#define KHAKI                   12
#define LIGHTBLUE               13
#define ORANGE                  14
#define WHITE                   15
#define DARKGREEN               16
#define NAVY                    17
#define INDIANRED2              18
#define DEEPSKYBLUE1            19
#define ORCHID4                 20
#define LINEN                   21
#define BLANCHEDALMOND          22
#define GRAY7                   23
#define MISTYROSE2              24
#define GRAY95                  25
#define GREY61                  26
#define GRAY34                  27
#define SPRINGGREEN             28
#define GRAY68                  29
#define MAROON1                 30
#define PLUM                    31
#define GREY23                  32
#define BURLYWOOD1              33
#define PURPLE2                 34
#define AQUAMARINE1             35
#define TURQUOISE3              36
#define GREY90                  37
#define KHAKI4                  38
#define GREY9                   39
#define PALEVIOLETRED4          40
#define CORAL4                  41
#define GRAY17                  42
#define DARKSEAGREEN4           43
#define PURPLE4                 44
#define GREY66                  45
#define LAVENDERBLUSH1          46
#define OLIVEDRAB4              47
#define AZURE1                  48
#define GRAY89                  49
#define PALEGREEN3              50
#define GREY19                  51
#define BLUE3                   52
#define GREY79                  53
#define DARKORANGE2             54
#define SEAGREEN4               55
#define DARKORANGE1             56
#define HOTPINK2                57
#define GRAY10                  58
#define TURQUOISE4              59
#define SEAGREEN3               60
#define BURLYWOOD2              61
#define WHEAT                   62
#define RED4                    63
#define MINTCREAM               64
#define NAVAJOWHITE4            65
#define ANTIQUEWHITE4           66
#define TOMATO4                 67
#define SNOW                    68
#define GREY81                  69
#define GRAY85                  70
#define TOMATO2                 71
#define GOLD                    72
#define GRAY96                  73
#define LIGHTYELLOW2            74
#define WHITESMOKE              75
#define MEDIUMSLATEBLUE         76
#define ROYALBLUE1              77
#define SLATEGRAY4              78
#define LAVENDERBLUSH2          79
#define WHEAT1                  80
#define GRAY67                  81
#define PAPAYAWHIP              82
#define HONEYDEW4               83
#define DARKGOLDENROD1          84
#define BISQUE1                 85
#define LIGHTBLUE4              86
#define GREY42                  87
#define HONEYDEW3               88
#define GRAY90                  89
#define TAN4                    90
#define GRAY45                  91
#define GRAY29                  92
#define HOTPINK3                93
#define GRAY16                  94
#define LIGHTGREY               95
#define AQUAMARINE3             96
#define LAWNGREEN               97
#define TAN1                    98
#define GOLDENROD4              99
#define GRAY64                 100
#define LIGHTCYAN1             101
#define INDIANRED3             102
#define CORNSILK4              103
#define MAGENTA1               104
#define ORCHID1                105
#define GRAY93                 106
#define LIGHTGOLDENROD2        107
#define BLUEVIOLET             108
#define ORANGERED4             109
#define SLATEBLUE4             110
#define LEMONCHIFFON           111
#define GRAY12                 112
#define MAGENTA                113
#define SALMON2                114
#define CYAN1                  115
#define BLUE4                  116
#define PEACHPUFF4             117
#define OLIVEDRAB1             118
#define ORCHID                 119
#define GREY27                 120
#define GRAY54                 121
#define GREY17                 122
#define GRAY62                 123
#define GRAY57                 124
#define GRAY80                 125
#define SKYBLUE                126
#define LIGHTGOLDENROD4        127
#define GRAY60                 128
#define GREY47                 129
#define CHOCOLATE2             130
#define GRAY1                  131
#define PEACHPUFF              132
#define GRAY70                 133
#define ROSYBROWN2             134
#define NAVAJOWHITE1           135
#define GRAY14                 136
#define GREY38                 137
#define GRAY65                 138
#define GRAY83                 139
#define GRAY84                 140
#define GREY11                 141
#define SLATEBLUE              142
#define GREY84                 143
#define SADDLEBROWN            144
#define SEASHELL1              145
#define DEEPPINK4              146
#define GREY96                 147
#define GREY3                  148
#define CADETBLUE2             149
#define DARKSLATEGREY          150
#define CORNFLOWERBLUE         151
#define LEMONCHIFFON1          152
#define GREY37                 153
#define GREY12                 154
#define GREY18                 155
#define GREY31                 156
#define GRAY19                 157
#define GREY70                 158
#define PINK3                  159
#define GRAY21                 160
#define NAVYBLUE               161
#define DEEPPINK               162
#define WHEAT3                 163
#define SNOW1                  164
#define CYAN2                  165
#define PALETURQUOISE3         166
#define INDIANRED              167
#define TURQUOISE              168
#define LIGHTSTEELBLUE4        169
#define LIGHTSALMON            170
#define HOTPINK4               171
#define GREY25                 172
#define MIDNIGHTBLUE           173
#define SALMON3                174
#define GREY32                 175
#define SIENNA                 176
#define CADETBLUE4             177
#define MEDIUMPURPLE3          178
#define LIGHTSTEELBLUE3        179
#define MAGENTA4               180
#define PALEVIOLETRED3         181
#define SKYBLUE1               182
#define GRAY36                 183
#define PINK                   184
#define GREY8                  185
#define GREY45                 186
#define LEMONCHIFFON3          187
#define GREY29                 188
#define LIGHTGOLDENROD         189
#define GREY24                 190
#define SLATEGRAY              191
#define GREY91                 192
#define DODGERBLUE3            193
#define PINK4                  194
#define LIGHTBLUE2             195
#define BURLYWOOD              196
#define LEMONCHIFFON4          197
#define GRAY39                 198
#define GRAY87                 199
#define GREY64                 200
#define MEDIUMORCHID           201
#define GREY26                 202
#define DARKSEAGREEN3          203
#define GRAY9                  204
#define VIOLETRED3             205
#define ORCHID2                206
#define MEDIUMORCHID4          207
#define GREY6                  208
#define THISTLE2               209
#define OLIVEDRAB2             210
#define DARKGOLDENROD3         211
#define CHARTREUSE3            212
#define GREY1                  213
#define ROSYBROWN1             214
#define DARKSLATEGRAY4         215
#define IVORY2                 216
#define SNOW3                  217
#define ORANGERED              218
#define GREY86                 219
#define DARKGOLDENROD4         220
#define ANTIQUEWHITE2          221
#define SIENNA4                222
#define SALMON4                223
#define MEDIUMORCHID1          224
#define LIGHTPINK4             225
#define GRAY4                  226
#define DEEPSKYBLUE            227
#define DEEPSKYBLUE3           228
#define GRAY78                 229
#define GRAY2                  230
#define GRAY26                 231
#define GREY20                 232
#define CORNSILK3              233
#define DARKSEAGREEN2          234
#define FORESTGREEN            235
#define AZURE4                 236
#define ROYALBLUE3             237
#define DARKOLIVEGREEN1        238
#define FLORALWHITE            239
#define LIGHTCYAN2             240
#define YELLOW4                241
#define ANTIQUEWHITE3          242
#define CORAL                  243
#define GRAY86                 244
#define DARKSLATEGRAY1         245
#define VIOLETRED1             246
#define GRAY99                 247
#define POWDERBLUE             248
#define GRAY40                 249
#define MISTYROSE              250
#define GREY5                  251
#define OLIVEDRAB3             252
#define TURQUOISE2             253
#define TOMATO                 254
#define DARKVIOLET             255
#define TURQUOISE1             256
#define GREY49                 257
#define FIREBRICK3             258
#define GREY99                 259
#define SPRINGGREEN2           260
#define FIREBRICK1             261
#define SLATEBLUE3             262
#define BURLYWOOD4             263
#define GRAY76                 264
#define GREY36                 265
#define GRAY18                 266
#define DARKSLATEGRAY2         267
#define CADETBLUE3             268
#define GREY57                 269
#define SKYBLUE4               270
#define IVORY4                 271
#define PLUM3                  272
#define CORAL2                 273
#define RED2                   274
#define DARKGOLDENROD          275
#define GRAY48                 276
#define DEEPSKYBLUE4           277
#define GRAY56                 278
#define HONEYDEW1              279
#define LIGHTCORAL             280
#define GREY60                 281
#define GRAY94                 282
#define GHOSTWHITE             283
#define GREY74                 284
#define MISTYROSE1             285
#define SKYBLUE2               286
#define LIGHTSKYBLUE3          287
#define GREY92                 288
#define LIGHTSTEELBLUE2        289
#define GRAY63                 290
#define GRAY23                 291
#define SALMON1                292
#define GREY30                 293
#define SKYBLUE3               294
#define CORAL1                 295
#define GRAY50                 296
#define LIGHTSKYBLUE           297
#define MEDIUMORCHID2          298
#define SIENNA2                299
#define CRIMSON                300
#define LIGHTSTEELBLUE         301
#define LIGHTSLATEGRAY         302
#define MEDIUMBLUE             303
#define GREY4                  304
#define GREY40                 305
#define GRAY11                 306
#define HONEYDEW2              307
#define GRAY41                 308
#define GREY41                 309
#define BISQUE2                310
#define GREY22                 311
#define CADETBLUE              312
#define GREY10                 313
#define LIGHTSALMON1           314
#define CORNSILK               315
#define LIGHTCYAN              316
#define CHARTREUSE1            317
#define GRAY58                 318
#define GRAY91                 319
#define ANTIQUEWHITE1          320
#define DARKSLATEGRAY          321
#define PERU                   322
#define GREY51                 323
#define GREEN4                 324
#define CYAN3                  325
#define GRAY44                 326
#define GREY48                 327
#define FIREBRICK              328
#define GREEN1                 329
#define GRAY81                 330
#define PALEVIOLETRED2         331
#define GRAY49                 332
#define PALEVIOLETRED          333
#define DODGERBLUE1            334
#define MAROON4                335
#define GREY33                 336
#define LIGHTPINK2             337
#define GRAY43                 338
#define MEDIUMPURPLE1          339
#define ROSYBROWN              340
#define GREY77                 341
#define GRAY13                 342
#define MEDIUMAQUAMARINE       343
#define DODGERBLUE4            344
#define GRAY27                 345
#define GREEN3                 346
#define GREY62                 347
#define DEEPSKYBLUE2           348
#define GRAY38                 349
#define MEDIUMVIOLETRED        350
#define MEDIUMPURPLE2          351
#define GRAY79                 352
#define GREY                   353
#define BROWN3                 354
#define SEAGREEN1              355
#define GREY73                 356
#define SPRINGGREEN4           357
#define LIGHTSLATEGREY         358
#define ROYALBLUE4             359
#define SLATEGREY              360
#define GRAY6                  361
#define GREY54                 362
#define BEIGE                  363
#define HOTPINK                364
#define GRAY72                 365
#define DEEPPINK3              366
#define GREY82                 367
#define PLUM4                  368
#define GREY93                 369
#define GRAY100                370
#define MAROON2                371
#define ORANGE3                372
#define HONEYDEW               373
#define MAROON                 374
#define GREY14                 375
#define DARKORANGE3            376
#define YELLOW2                377
#define GREY76                 378
#define SEASHELL4              379
#define TRANSPARENT            380
#define LIGHTSALMON3           381
#define GOLDENROD2             382
#define GREY2                  383
#define AZURE                  384
#define YELLOW1                385
#define GREY89                 386
#define GRAY46                 387
#define DARKORCHID3            388
#define PURPLE3                389
#define LAVENDERBLUSH          390
#define STEELBLUE1             391
#define GRAY51                 392
#define BROWN4                 393
#define LIGHTSALMON4           394
#define MEDIUMPURPLE           395
#define KHAKI2                 396
#define GOLDENROD1             397
#define DARKSEAGREEN1          398
#define AZURE2                 399
#define DIMGRAY                400
#define BISQUE3                401
#define GOLD4                  402
#define YELLOW3                403
#define LIGHTSTEELBLUE1        404
#define MAROON3                405
#define LIGHTBLUE3             406
#define LIGHTCYAN4             407
#define GREY16                 408
#define LIGHTPINK1             409
#define GRAY47                 410
#define GREY39                 411
#define GREY65                 412
#define PALETURQUOISE4         413
#define LIGHTSLATEBLUE         414
#define GREY80                 415
#define AQUAMARINE2            416
#define GREY88                 417
#define MEDIUMTURQUOISE        418
#define WHEAT4                 419
#define GRAY25                 420
#define DODGERBLUE2            421
#define CHOCOLATE4             422
#define PLUM2                  423
#define KHAKI1                 424
#define LIGHTCYAN3             425
#define DARKSEAGREEN           426
#define KHAKI3                 427
#define GREY0                  428
#define VIOLETRED2             429
#define CHOCOLATE1             430
#define GREY78                 431
#define GREY28                 432
#define LEMONCHIFFON2          433
#define GRAY55                 434
#define DARKOLIVEGREEN2        435
#define IVORY                  436
#define GRAY22                 437
#define SLATEGRAY2             438
#define SNOW2                  439
#define GREY50                 440
#define CORNSILK1              441
#define LIGHTYELLOW1           442
#define CHARTREUSE             443
#define LAVENDER               444
#define TAN3                   445
#define LIGHTGOLDENROD1        446
#define BROWN1                 447
#define TAN2                   448
#define DARKTURQUOISE          449
#define GREY44                 450
#define ORANGE2                451
#define MEDIUMSEAGREEN         452
#define GOLD1                  453
#define GRAY52                 454
#define THISTLE4               455
#define PALETURQUOISE          456
#define DARKOLIVEGREEN         457
#define GRAY20                 458
#define GRAY69                 459
#define PURPLE1                460
#define SIENNA3                461
#define CHARTREUSE2            462
#define GREY21                 463
#define GRAY59                 464
#define GREY71                 465
#define ROYALBLUE2             466
#define DODGERBLUE             467
#define ROSYBROWN4             468
#define INDIANRED4             469
#define GREY34                 470
#define GRAY42                 471
#define GRAY33                 472
#define LIGHTYELLOW            473
#define CORAL3                 474
#define GREY46                 475
#define GREY94                 476
#define LIGHTBLUE1             477
#define VIOLETRED4             478
#define GRAY3                  479
#define AQUAMARINE4            480
#define ROYALBLUE              481
#define ORANGERED2             482
#define GAINSBORO              483
#define MEDIUMORCHID3          484
#define STEELBLUE3             485
#define DARKGOLDENROD2         486
#define LIGHTGOLDENROD3        487
#define OLDLACE                488
#define RED3                   489
#define GRAY8                  490
#define GRAY71                 491
#define GRAY73                 492
#define DARKORANGE4            493
#define GRAY5                  494
#define SLATEBLUE1             495
#define GREY72                 496
#define NAVAJOWHITE3           497
#define GREY63                 498
#define PALEVIOLETRED1         499
#define GRAY32                 500
#define GRAY24                 501
#define LIGHTYELLOW3           502
#define LIGHTGRAY              503
#define AQUAMARINE             504
#define DEEPPINK2              505
#define GREY35                 506
#define DEEPPINK1              507
#define BISQUE4                508
#define DARKORCHID2            509
#define OLIVEDRAB              510
#define GRAY30                 511
#define SPRINGGREEN1           512
#define DARKOLIVEGREEN3        513
#define GRAY88                 514
#define LIGHTSKYBLUE1          515
#define GRAY97                 516
#define GOLD2                  517
#define LIGHTSEAGREEN          518
#define SLATEGRAY1             519
#define GRAY53                 520
#define GREY43                 521
#define TOMATO1                522
#define DARKOLIVEGREEN4        523
#define SEAGREEN               524
#define BLUE1                  525
#define GREY56                 526
#define MAGENTA2               527
#define YELLOWGREEN            528
#define LIGHTYELLOW4           529
#define GRAY15                 530
#define GREY53                 531
#define GREY69                 532
#define CYAN4                  533
#define GRAY37                 534
#define THISTLE                535
#define LIGHTSKYBLUE2          536
#define GRAY82                 537
#define SEASHELL2              538
#define BURLYWOOD3             539
#define ROSYBROWN3             540
#define GRAY92                 541
#define DARKSLATEGRAY3         542
#define GRAY77                 543
#define PEACHPUFF3             544
#define GOLDENROD3             545
#define CORNSILK2              546
#define ORANGERED1             547
#define GREY58                 548
#define IVORY1                 549
#define LIGHTPINK3             550
#define LIGHTGOLDENRODYELLOW   551
#define DARKSALMON             552
#define PINK1                  553
#define GRAY0                  554
#define GREEN2                 555
#define SALMON                 556
#define GREY15                 557
#define SEASHELL               558
#define SANDYBROWN             559
#define DIMGREY                560
#define GREY68                 561
#define GREY97                 562
#define PLUM1                  563
#define SEASHELL3              564
#define SIENNA1                565
#define GRAY66                 566
#define STEELBLUE4             567
#define INDIANRED1             568
#define DARKORCHID1            569
#define GREY52                 570
#define WHEAT2                 571
#define DARKORANGE             572
#define LIMEGREEN              573
#define CHARTREUSE4            574
#define GRAY61                 575
#define GREY7                  576
#define BISQUE                 577
#define PALETURQUOISE1         578
#define GRAY35                 579
#define ALICEBLUE              580
#define GREY75                 581
#define GREY13                 582
#define LAVENDERBLUSH4         583
#define GRAY28                 584
#define TAN                    585
#define GREY83                 586
#define LIGHTPINK              587
#define GRAY74                 588
#define PALEGREEN1             589
#define GREY59                 590
#define NAVAJOWHITE2           591
#define AZURE3                 592
#define MISTYROSE3             593
#define GREY67                 594
#define SNOW4                  595
#define LIGHTSKYBLUE4          596
#define FIREBRICK4             597
#define PINK2                  598
#define ORCHID3                599
#define CHOCOLATE3             600
#define THISTLE1               601
#define CADETBLUE1             602
#define ANTIQUEWHITE           603
#define GREY95                 604
#define DARKKHAKI              605
#define GOLD3                  606
#define PEACHPUFF2             607
#define GRAY75                 608
#define BLUE2                  609
#define FIREBRICK2             610
#define MEDIUMPURPLE4          611
#define GREENYELLOW            612
#define PALEGREEN2             613
#define MAGENTA3               614
#define MEDIUMSPRINGGREEN      615
#define GRAY31                 616
#define VIOLETRED              617
#define ORANGE1                618
#define STEELBLUE              619
#define GREY100                620
#define IVORY3                 621
#define STEELBLUE2             622
#define PALEGREEN              623
#define TOMATO3                624
#define MISTYROSE4             625
#define LAVENDERBLUSH3         626
#define ORANGERED3             627
#define SEAGREEN2              628
#define PURPLE                 629
#define HOTPINK1               630
#define PEACHPUFF1             631
#define SLATEBLUE2             632
#define GREY85                 633
#define PALEGOLDENROD          634
#define SPRINGGREEN3           635
#define DARKSLATEBLUE          636
#define ORANGE4                637
#define PALEGREEN4             638
#define GREY55                 639
#define GREY98                 640
#define RED1                   641
#define MOCCASIN               642
#define THISTLE3               643
#define SLATEGRAY3             644
#define GRAY98                 645
#define BROWN2                 646
#define CHOCOLATE              647
#define NAVAJOWHITE            648
#define LIGHTSALMON2           649
#define PALETURQUOISE2         650
#define GREY87                 651
#define GOLDENROD              652
#define LASTCOLOR              652


typedef struct color_def {
    int indx;
    unsigned char r;
    unsigned char g;
    unsigned char b;
    char *name;
} Color_def;


#endif

/* ******* */
/* * End * */
/* ******* */
